/// <reference types="react" />
import { Renderable, Toast } from './types';
declare type ToastOptions = Partial<Pick<Toast, 'id' | 'icon' | 'type' | 'duration' | 'role' | 'ariaLive'>>;
declare type ToastHandler = (message: Renderable, options?: ToastOptions) => string;
declare const toast: {
    (message: Renderable, opts?: Partial<Pick<Toast, "id" | "icon" | "type" | "duration" | "role" | "ariaLive">> | undefined): string;
    error: ToastHandler;
    success: ToastHandler;
    loading: ToastHandler;
    dismiss(toastId: string): void;
    promise<T>(promise: Promise<T>, msgs: {
        loading: Renderable;
        success: string | number | JSX.Element | ((result: T) => Renderable) | null;
        error: string | number | JSX.Element | ((reason: any) => Renderable) | null;
    }, opts?: {
        loading?: Partial<Pick<Toast, "id" | "icon" | "type" | "duration" | "role" | "ariaLive">> | undefined;
        success?: Partial<Pick<Toast, "id" | "icon" | "type" | "duration" | "role" | "ariaLive">> | undefined;
        error?: Partial<Pick<Toast, "id" | "icon" | "type" | "duration" | "role" | "ariaLive">> | undefined;
    } | undefined): Promise<T>;
};
export { toast };
