/// <reference types="react" />
export declare type ToastType = 'success' | 'error' | 'loading' | 'blank';
export declare type ToastPosition = 'top-left' | 'top-center' | 'top-right' | 'bottom-left' | 'bottom-center' | 'bottom-right';
export declare type Renderable = JSX.Element | string | number | null;
export interface Toast {
    type: ToastType;
    id: string;
    message: Renderable;
    icon?: Renderable;
    duration: number;
    role: 'status' | 'alert';
    ariaLive: 'assertive' | 'off' | 'polite';
    createdAt: number;
    visible: boolean;
    height?: number;
}
